openQA Tests - action #34234

[desktop] gdm_session_switch on openSUSE is only scheduled for openSUSE Leap 42.2 which is
not tested anymore

2018-04-04 08:33 - okurz

Status: New Start date: 2018-04-04
Priority: Low Due date:

Assignee: yfjiang % Done: 0%
Category: New test Estimated time: 0.00 hour

Target version:

Difficulty:

Description

Acceptance criteria

e AC1: gdm_session_switch is scheduled for current openSUSE products as well or removed as a test module

Suggestions

e Check out if gdm_session_switch can work on openSUSE Tumbleweed
e If yes, also check on openSUSE Leap 15.0, if not consider deleting the whole test module
¢ Delete the section about Leap 42.2 which is out of maintenance

History

#1 - 2018-04-04 08:56 - qkzhu
| am downloading the latest TW and Leap15 image, after that | will port this case to TW and Leap15

#2 - 2018-04-17 03:27 - qkzhu

This case makes sense to gdm testing, but the available sessions vary from openSUSE to SLE:
TW:

e GNOME
* GNOME on Xorg
® IceWM Session

Leap 15:

e GNOME

* GNOME on Xorg
® IceWM Session
e TWM

SLED15:

e GNOME

GNOME Classic
GNOME on Xorg
IlceWM Session

SLE Classic

SLE Classic on Xorg

SLES15 with WE:
¢ GNOME
e GNOME Classic

* |IceWM Session
e SLE Classic

Solutions:

1. Merge gdm_session_switch and gnome_classic_switch
2. Porting the case to both openSUSE and SLE
#3 - 2018-05-25 08:46 - yfjiang
- Assignee changed from gkzhu to yfjiang

I'll need some time to do a full review based on the recent changes on wayland/x and sessions. Keep it in my queue atm.

#4 - 2018-06-20 06:06 - yfjiang

This openQA tests item has a dependency on the decision made in the bug:

https://bugzilla.opensuse.org/show_bug.cgi?id=1095537

Keep Frederic in the watcher's list as well.

#5 - 2021-09-01 13:55 - okurz

- Priority changed from Normal to Low

This ticket was set to "Normal" priority but was not updated within 730 days which is 2 times the period of the SLO for "Normal" tickets (365 days) as
described on https:/progress.open .org/proj /open /wiki/Wiki#SLOs-service-level-objectives . The ticket will be set to the next lower
priority of "Low".

#6 - 2021-09-02 05:51 - okurz

This ticket had a due set but exceeded it already by more than 14 days. We would like to take the due date seriously so please update the ticket
accordingly (resolve the ticket or update the due-date or remove the due-date). See
https: j wiki/Wiki#SL: ice-level-obj

rogress.open .or for details. This update was done as agreed within the
SUSE QE Sync call 2021-09-01

#7 - 2021-09-02 05:58 - okurz
- Due date deleted (2018-05-01)
